Description

The "Random vector layer" geoprocess produces empty line and polygon layers. There's not trace of errors in the log. Instead, points
layer are generated correctly. Can it be due to r43378?
Note: it works fine in build 2827.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4612: Geometry type 22 n... Closed 08/09/2017

Associated revisions
Revision 43405 - 08/05/2017 09:07 PM - Joaquín  del Cerro Murciano

refs #4568, #4569, añadido el metodo isSubtype al GeometryManager para comprobar si un tipo de geometria es subtipo de otro (ej. LINE es subtype
de CURVE)

Revision 970 - 08/05/2017 09:11 PM - Joaquín  del Cerro Murciano

refs #4568, #4569, modificada la comprobacion de tipos de geometria para que tenga en cuenta los subtipos.

Revision 43426 - 08/09/2017 03:22 PM - Joaquín  del Cerro Murciano

refs #4568, corregido un error en los tipos de geometria aceptados por el shape.

History
#1 - 08/05/2017 08:34 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196)
- Assignee set to Joaquín  del Cerro Murciano

#2 - 08/05/2017 09:12 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#3 - 08/07/2017 10:08 PM - Antonio Falciano
- Target version changed from 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)
- Status changed from Fixed to New
Points and Polygons layers are generated correctly, while lines not in build 2830.
From the gvSIG.log:

INFO 1147635 AWT-EventQueue-0 org.gvsig.andami.actioninfo.impl.DefaultActionInfo -
org.gvsig.app.mainplugin:org.gvsig.app.extension.ViewControls.execute('view-change-scale', Object[] args)
INFO 1149945 AWT-EventQueue-0 org.gvsig.andami.actioninfo.impl.DefaultActionInfo -
org.gvsig.geoprocess.app.mainplugin:org.gvsig.geoprocess.extension.GeoprocessExtension.execute('GEOPROCESS_SELECTOR')
WARN 1155914 pool-5-thread-1 es.unex.sextante.core.SextanteLogHandler - 
org.gvsig.fmap.dal.exception.ServerExplorerAddException: Exception creating 'FilesystemExplorer'.
    at org.gvsig.fmap.dal.serverexplorer.filesystem.impl.DefaultFilesystemServerExplorer.add(DefaultFilesystemServerExplorer.java:216)
    at org.gvsig.geoprocess.lib.sextante.dataObjects.FlyrVectIVectorLayer.create(FlyrVectIVectorLayer.java:200)
    at org.gvsig.geoprocess.lib.sextante.core.DefaultOutputFactory.getNewVectorLayer(DefaultOutputFactory.java:127)
    at org.gvsig.geoprocess.lib.sextante.core.DefaultOutputFactory.getNewVectorLayer(DefaultOutputFactory.java:72)
    at es.unex.sextante.core.GeoAlgorithm.getNewVectorLayer(GeoAlgorithm.java:1135)
    at es.unex.sextante.core.GeoAlgorithm.getNewVectorLayer(GeoAlgorithm.java:1173)
    at es.unex.sextante.vectorTools.randomVector.RandomVectorAlgorithm.processAlgorithm(RandomVectorAlgorithm.java:71)
    at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:229)
    at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:175)
    at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)
    at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)
Caused by: org.gvsig.fmap.dal.exception.ValidateDataParametersException: Checks parameters
    at org.gvsig.fmap.dal.spi.AbstractDataParameters.validate(AbstractDataParameters.java:177)
    at org.gvsig.fmap.dal.store.dbf.DBFStoreParameters.validate(DBFStoreParameters.java:261)
    at org.gvsig.fmap.dal.store.shp.SHPStoreParameters.validate(SHPStoreParameters.java:59)
    at org.gvsig.fmap.dal.serverexplorer.filesystem.impl.DefaultFilesystemServerExplorer.add(DefaultFilesystemServerExplorer.java:210)
    ... 14 more
Caused by: org.gvsig.tools.dynobject.exception.DynObjectValidateException: Errors found validating 'Persistence:SHPNewStoreParameters'.
  Field 'geometryType' of type Integer ( 1, 2, 19, 7, 21, 22, 2, 3, 8, 9, ) has a invalid value of '18'.
    at org.gvsig.tools.dynobject.impl.DefaultDynClass.validate(DefaultDynClass.java:620)
    at org.gvsig.fmap.dal.spi.AbstractDataParameters.validate(AbstractDataParameters.java:175)
    ... 17 more
INFO 1156033 pool-5-thread-1 es.unex.sextante.core.SextanteLogHandler - Executing command: extent( 0.0, 0.0, 0.0, 100.0, 100.0, 0.0, 1.0,
1.0)
Executing command: runalg("randomvector", "100", "1", "#")
Starting algorithm execution...:7-ago-2017 22.04.55
Finished algorithm execution:7-ago-2017 22.04.55
Execution time (millisecs):122

WARN 1158226 Thread-24 es.unex.sextante.core.SextanteLogHandler - 
org.gvsig.fmap.mapcontext.exceptions.LoadLayerException: Can´t load the layer Risultato.
    at org.gvsig.fmap.mapcontext.layers.LayerFactory.createLayer(LayerFactory.java:158)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextManager.createLayer(DefaultMapContextManager.java:571)
    at org.gvsig.geoprocess.lib.sextante.dataObjects.FileTools.openLayer(FileTools.java:99)
    at org.gvsig.geoprocess.lib.sextante.core.PostProcessTaskRunnable.addResults(PostProcessTaskRunnable.java:265)
    at org.gvsig.geoprocess.lib.sextante.core.PostProcessTaskRunnable.run(PostProcessTaskRunnable.java:108)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.RuntimeException: org.gvsig.fmap.dal.exception.InitializeException: Error intializing resource 'Shape'.
    at org.gvsig.fmap.dal.spi.AbstractDataStoreProviderFactory.create(AbstractDataStoreProviderFactory.java:53)
    at org.gvsig.fmap.dal.impl.DefaultDataManager.openStore(DefaultDataManager.java:385)
    at org.gvsig.fmap.mapcontext.layers.LayerFactory.createLayer(LayerFactory.java:155)
    ... 5 more
Caused by: org.gvsig.fmap.dal.exception.InitializeException: Error intializing resource 'Shape'.
    at org.gvsig.fmap.dal.store.dbf.DBFStoreProvider.getTheFeatureType(DBFStoreProvider.java:426)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.getTheFeatureType(SHPStoreProvider.java:258)
    at org.gvsig.fmap.dal.store.dbf.DBFStoreProvider.initFeatureType(DBFStoreProvider.java:381)
    at org.gvsig.fmap.dal.store.dbf.DBFStoreProvider.init(DBFStoreProvider.java:168)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.init(SHPStoreProvider.java:113)
    at org.gvsig.fmap.dal.store.dbf.DBFStoreProvider.<init>(DBFStoreProvider.java:148)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.<init>(SHPStoreProvider.java:107)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProviderFactory.createProvider(SHPStoreProviderFactory.java:69)
    at org.gvsig.fmap.dal.spi.AbstractDataStoreProviderFactory.create(AbstractDataStoreProviderFactory.java:48)
    ... 7 more
Caused by: org.gvsig.fmap.dal.exception.OpenException: Exception opening 'Shape'.
    at org.gvsig.fmap.dal.store.dbf.DBFStoreProvider.open(DBFStoreProvider.java:686)
    at org.gvsig.fmap.dal.store.dbf.DBFStoreProvider.getTheFeatureType(DBFStoreProvider.java:424)
    ... 15 more
Caused by: Error executing action in resource 'MultiResource C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15021362954233.shp'.
    at org.gvsig.fmap.dal.resource.spi.MultiResource.execute(MultiResource.java:316)
    at org.gvsig.fmap.dal.store.dbf.DBFStoreProvider.open(DBFStoreProvider.java:677)
    ... 16 more
Caused by: org.gvsig.fmap.dal.exception.FileNotFoundException: File
'C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15021362954233.dbf' not found.
    at org.gvsig.fmap.dal.store.dbf.utils.DbaseFile.open(DbaseFile.java:442)
    at org.gvsig.fmap.dal.store.dbf.DBFStoreProvider.openFile(DBFStoreProvider.java:692)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.openFile(SHPStoreProvider.java:411)
    at org.gvsig.fmap.dal.store.dbf.DBFStoreProvider$4.run(DBFStoreProvider.java:679)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.performExecution(AbstractResource.java:339)
    at org.gvsig.fmap.dal.resource.spi.MultiResource.execute(MultiResource.java:314)
    ... 17 more

#4 - 08/09/2017 11:58 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2831 (rev. org.gvsig.desktop-2.0.197)

#5 - 08/09/2017 03:23 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#6 - 08/10/2017 10:19 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4612: Geometry type 22 not supported added

#7 - 08/11/2017 11:19 AM - Antonio Falciano
- Status changed from Fixed to Closed
